import { UmbLitElement } from '../../../core/lit-element/index.js';
export declare class UmbDocumentWorkspaceEditorElement extends UmbLitElement {
    #private;
    private _splitViewElement;
    private _routes?;
    private _loading?;
    constructor();
    private _gotWorkspaceRoute;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbDocumentWorkspaceEditorElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-document-workspace-editor': UmbDocumentWorkspaceEditorElement;
    }
}
